package housewithroooms;

import java.awt.geom.Point2D;

public class Room {

  private String name;
  private Point2D p1;
  private Point2D p2;
  private double thickness;

  public Room(String name, double x1,
          double y1, double x2,
          double y2, double thickness) {
    this.name = name;
    p1 = new Point2D.Double(x1, y1);
    p2 = new Point2D.Double(x2, y2);
    this.thickness = thickness;
  }

  public double getArea() {
    double a = Math.abs(p1.getX() - p2.getX());
    double b = Math.abs(p1.getY() - p2.getY());
    return (a - thickness * 2) * (b - thickness * 2);
  }

  public String getName() {
    return name;
  }

  public void setName(String name) {
    this.name = name;
  }
}