package housewithroooms;

import java.util.ArrayList;
import java.util.List;

public class House {

  private String name;
  private List<Room> rooms;

  public double getArea() {
    double sum = 0;
    for (Room room : rooms) {
      sum += room.getArea();
    }
    return sum;
  }

  public void addRoom(Room room) {
    rooms.add(room);
  }

  public House(Room firstRoom, String name) {
    this.name = name;
    rooms = new ArrayList<>(1);
    rooms.add(firstRoom);
  }

  public String getName() {
    return name;
  }

  public void setName(String name) {
    this.name = name;
  }
}